
set( mongodb_VERSION 4.0.8a )
set( mongodb_UPS_VERSION v4_0_8a )

# mongodb-config.cmake
# --------------------
#
# Mongodb cmake module.
# This module sets the following variables:
#
# ::
#
#   MONGODB_INCLUDE_DIRS      - Directory where mongodb headers are located.
#   MONGODB_C_LIBRARIES       - C mongodb libraries to link against.
#   MONGODB_CXX_LIBRARIES     - C++ mongodb libraries to link against.
#   MONGODB_MODULES           - whether mongodb has dso support

get_filename_component(_mongodb_rootdir ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(MONGODB_INSTALL_PREFIX ${_mongodb_rootdir}/..)
set(MONGODB_INCLUDE_DIRS   ${_mongodb_rootdir}/../include)
set(MONGODB_LIBRARY_DIR    ${_mongodb_rootdir}/lib)
set(MONGODB_C_LIBRARIES      -L${MONGODB_LIBRARY_DIR} -lmongoc-1.0 -lbson-1.0)
set(MONGODB_CXX_LIBRARIES      -L${MONGODB_LIBRARY_DIR} -lmongocxx -lbsoncxx)


# whether mongodb has dso support
set(MONGODB_MODULES 1)

mark_as_advanced( MONGODB_INCLUDE_DIRS MONGODB_LIBRARIES )
